Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundację Dzieciom „Zdążyć z Pomocą”.
Więcej informacji na dug.net.pl/pomagamy/.

#1 2017-10-16 19:38:19

hubot
Użytkownik
Zarejestrowany: 2017-04-13

Błąd instalacji dev-libs/boost-1.65.0

Otrzymałem następujący błąd w trakcie instalacji dev-libs/boost-1.65.0:

Kod:

>>> Install boost-1.65.0 into /var/tmp/portage/dev-libs/boost-1.65.0/image/ category dev-libs
 * abi_x86_64.amd64: running multilib-minimal_abi_src_install
 * python2_7: running installation
 * ACCESS DENIED:  symlinkat:    /var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so
ln: failed to create symbolic link '/var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so': Permission denied
 * ERROR: dev-libs/boost-1.65.0::gentoo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_install
 *   environment, line 4438:  Called multilib-minimal_src_install
 *   environment, line 2558:  Called multilib_foreach_abi 'multilib-minimal_abi_src_install'
 *   environment, line 2752:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line 2388:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line 2386:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_install'
 *   environment, line  412:  Called multilib-minimal_abi_src_install
 *   environment, line 2548:  Called multilib_src_install
 *   environment, line 3063:  Called python_foreach_impl 'installation'
 *   environment, line 3831:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'installation'
 *   environment, line 2388:  Called _multibuild_run '_python_multibuild_wrapper' 'installation'
 *   environment, line 2386:  Called _python_multibuild_wrapper 'installation'
 *   environment, line  541:  Called installation
 *   environment, line 3021:  Called create_user-config.jam
 *   environment, line  897:  Called die
 * The specific snippet of code:
 *           ln -f -s "$(python_get_library_path)" "${T}/lib${EPYTHON}$(get_libname)" || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/boost-1.65.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/boost-1.65.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/build/dev-libs/boost-1.65.0:20171016-171019.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-libs/boost-1.65.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/boost-1.65.0/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/boost-1.65.0/work/boost_1_65_0-abi_x86_64.amd64'
 * S: '/var/tmp/portage/dev-libs/boost-1.65.0/work/boost_1_65_0'
 * --------------------------- ACCESS VIOLATION SUMMARY ---------------------------
 * LOG FILE: "/var/log/sandbox/sandbox-19920.log"
 * 
VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: symlinkat
S: deny
P: /var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so
A: /var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so
R: /usr/lib64/libpython2.7.so.1.0
C: ln -f -s /usr/lib64/libpython2.7.so /var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so 
 * --------------------------------------------------------------------------------

>>> Failed to emerge dev-libs/boost-1.65.0, Log file:

>>>  '/var/log/portage/build/dev-libs/boost-1.65.0:20171016-171019.log'

 * Messages for package sys-process/atop-2.3.0-r1:
 * Log file: /var/log/portage/build/sys-process/atop-2.3.0-r1:20171016-170944.log

 *   CONFIG_BSD_PROCESS_ACCT:    is not set when it should be.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.

 * Messages for package sys-fs/eudev-3.2.4:
 * Log file: /var/log/portage/build/sys-fs/eudev-3.2.4:20171016-170946.log

 * 
 * As of 2013-01-29, eudev-3.2.4 provides the new interface renaming functionality,
 * as described in the URL below:
 * https://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames
 * 
 * This functionality is enabled BY DEFAULT because eudev has no means of synchronizing
 * between the default or user-modified choice of sys-fs/udev.  If you wish to disable
 * this new iface naming, please be sure that /etc/udev/rules.d/80-net-name-slot.rules
 * exists: touch /etc/udev/rules.d/80-net-name-slot.rules
 * 

 * Messages for package dev-libs/boost-1.65.0:
 * Log file: /var/log/portage/build/dev-libs/boost-1.65.0:20171016-171019.log

 * ERROR: dev-libs/boost-1.65.0::gentoo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_install
 *   environment, line 4438:  Called multilib-minimal_src_install
 *   environment, line 2558:  Called multilib_foreach_abi 'multilib-minimal_abi_src_install'
 *   environment, line 2752:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line 2388:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line 2386:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_install'
 *   environment, line  412:  Called multilib-minimal_abi_src_install
 *   environment, line 2548:  Called multilib_src_install
 *   environment, line 3063:  Called python_foreach_impl 'installation'
 *   environment, line 3831:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'installation'
 *   environment, line 2388:  Called _multibuild_run '_python_multibuild_wrapper' 'installation'
 *   environment, line 2386:  Called _python_multibuild_wrapper 'installation'
 *   environment, line  541:  Called installation
 *   environment, line 3021:  Called create_user-config.jam
 *   environment, line  897:  Called die
 * The specific snippet of code:
 *           ln -f -s "$(python_get_library_path)" "${T}/lib${EPYTHON}$(get_libname)" || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/boost-1.65.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/boost-1.65.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/build/dev-libs/boost-1.65.0:20171016-171019.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-libs/boost-1.65.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/boost-1.65.0/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/boost-1.65.0/work/boost_1_65_0-abi_x86_64.amd64'
 * S: '/var/tmp/portage/dev-libs/boost-1.65.0/work/boost_1_65_0'

Wynik komendy emerge --info '=dev-libs/boost-1.65.0::gentoo': https://paste.pound-python.org/show/BdWVJs6oyZAbjZI6A8cR/
Wynik komendy emerge -pqv '=dev-libs/boost-1.65.0::gentoo': https://paste.pound-python.org/show/vE33kqQFoBGHOBxufOiU/
Build log: https://filebin.net/nehtpkwbxqc9ctxx/build.log.txt

Czy może ktoś mi pomóc?

Offline

 

#2 2017-10-16 19:48:15

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Błąd instalacji dev-libs/boost-1.65.0

Kod:

ACCESS DENIED:  symlinkat:    /var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so
ln: failed to create symbolic link '/var/tmp/portage/dev-libs/boost-1.65.0/temp/libpython2.7.so': Permission denied

Zacznij czytać, co system chce Ci przekazać.

Spróbuj:

Kod:

FEATURES="-userpriv  -usersandbox" ebuild $(equery w dev-libs/boost-1.65.0) install qmerge

A poza tym, to czy jesteś pewien, że potrzebujesz najnowszej, testowej wersji boosta?

Bo stabilny w tej chwili jest:

Kod:

dev-libs/boost-1.62.0-r1

Pozdro

Ostatnio edytowany przez Jacekalex (2017-10-16 19:50:54)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#3 2017-10-16 19:58:07

hubot
Użytkownik
Zarejestrowany: 2017-04-13

Re: Błąd instalacji dev-libs/boost-1.65.0

Jacekalex napisał(-a):

Spróbuj:

Kod:

FEATURES="-userpriv  -usersandbox" ebuild $(equery w dev-libs/boost-1.65.0) install qmerge

A poza tym, to czy jesteś pewien, że potrzebujesz najnowszej, testowej wersji boosta?

Bo stabilny w tej chwili jest:

Kod:

dev-libs/boost-1.62.0-r1

Pozdro

Nic to nie pomaga.

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Możesz wyłączyć AdBlock — tu nie ma reklam ;-)